# coding: utf-8

"""
Copyright (c) 2022 Aspose.Cells Cloud
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all 
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
"""


from pprint import pformat
from six import iteritems
import re


class CellsCloudFileInfo(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """


    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'size': 'int',
        'folder': 'str',
        'storage': 'str'
    }

    attribute_map = {
        'name': 'Name',
        'size': 'Size',
        'folder': 'Folder',
        'storage': 'Storage'
    }
    
    @staticmethod
    def get_swagger_types():
        return CellsCloudFileInfo.swagger_types
    
    @staticmethod
    def get_attribute_map():
        return CellsCloudFileInfo.attribute_map
    
    def get_from_container(self, attr):
        if attr in self.container:
            return self.container[attr]
        return None

    def __init__(self, name=None, size=None, folder=None, storage=None, **kw):
        """
        Associative dict for storing property values
        """
        self.container = {}
		    
        """
        CellsCloudFileInfo - a model defined in Swagger
        """

        self.container['name'] = None
        self.container['size'] = None
        self.container['folder'] = None
        self.container['storage'] = None

        if name is not None:
          self.name = name
        self.size = size
        if folder is not None:
          self.folder = folder
        if storage is not None:
          self.storage = storage

    @property
    def name(self):
        """
        Gets the name of this CellsCloudFileInfo.

        :return: The name of this CellsCloudFileInfo.
        :rtype: str
        """
        return self.container['name']

    @name.setter
    def name(self, name):
        """
        Sets the name of this CellsCloudFileInfo.

        :param name: The name of this CellsCloudFileInfo.
        :type: str
        """

        self.container['name'] = name

    @property
    def size(self):
        """
        Gets the size of this CellsCloudFileInfo.

        :return: The size of this CellsCloudFileInfo.
        :rtype: int
        """
        return self.container['size']

    @size.setter
    def size(self, size):
        """
        Sets the size of this CellsCloudFileInfo.

        :param size: The size of this CellsCloudFileInfo.
        :type: int
        """
        """
        if size is None:
            raise ValueError("Invalid value for `size`, must not be `None`")
        """

        self.container['size'] = size

    @property
    def folder(self):
        """
        Gets the folder of this CellsCloudFileInfo.

        :return: The folder of this CellsCloudFileInfo.
        :rtype: str
        """
        return self.container['folder']

    @folder.setter
    def folder(self, folder):
        """
        Sets the folder of this CellsCloudFileInfo.

        :param folder: The folder of this CellsCloudFileInfo.
        :type: str
        """

        self.container['folder'] = folder

    @property
    def storage(self):
        """
        Gets the storage of this CellsCloudFileInfo.

        :return: The storage of this CellsCloudFileInfo.
        :rtype: str
        """
        return self.container['storage']

    @storage.setter
    def storage(self, storage):
        """
        Sets the storage of this CellsCloudFileInfo.

        :param storage: The storage of this CellsCloudFileInfo.
        :type: str
        """

        self.container['storage'] = storage

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.get_swagger_types()):
            value = self.get_from_container(attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        if not isinstance(other, CellsCloudFileInfo):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
